org.eclipse.ease.ui.scripts.keywordhandler

## Class ScriptContributionFactory

- java.lang.Object
- - org.eclipse.ui.menus.AbstractContributionFactory
  - - org.eclipse.ease.ui.scripts.keywordhandler.ScriptContributionFactory

    public class ScriptContributionFactory
    extends AbstractContributionFactory

### Constructor Summary

Constructors
Constructor and Description
`ScriptContributionFactory(java.lang.String location)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addScript(IScript script)`
`void` `createContributionItems(IServiceLocator serviceLocator, IContributionRoot additions)`
`void` `removeScript(IScript script)`
`void` `setAffectedContribution(IContributionManager manager)`

### Methods inherited from class org.eclipse.ui.menus.AbstractContributionFactory

`getLocation, getNamespace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptContributionFactory

    public ScriptContributionFactory(java.lang.String location)

### Method Detail

#### createContributionItems

    public void createContributionItems(IServiceLocator serviceLocator,
                                        IContributionRoot additions)

Specified by:
  `createContributionItems` in class `AbstractContributionFactory`

#### addScript

    public void addScript(IScript script)

#### removeScript

    public void removeScript(IScript script)

#### setAffectedContribution

    public void setAffectedContribution(IContributionManager manager)